//
// TestAPI.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation
import Alamofire


open class TestAPI {
    /**

     - parameter name: (form)  (optional)
     - parameter lastName: (form)  (optional)
     - parameter completion: completion handler to receive the data and the error objects
     */
    open class func testMultiPartPost(name: String? = nil, lastName: String? = nil, completion: @escaping ((_ data: TestMultiPartResponseResponseModel?,_ error: Error?) -> Void)) {
        testMultiPartPostWithRequestBuilder(name: name, lastName: lastName).execute { (response, error) -> Void in
            completion(response?.body, error)
        }
    }


    /**
     - POST /TestMultiPart
     - 

     - examples: [{contentType=application/json, example={
  "Data" : {
    "LastName" : "LastName",
    "Name" : "Name"
  },
  "ErrorMessage" : "ErrorMessage"
}}]
     - parameter name: (form)  (optional)
     - parameter lastName: (form)  (optional)

     - returns: RequestBuilder<TestMultiPartResponseResponseModel> 
     */
    open class func testMultiPartPostWithRequestBuilder(name: String? = nil, lastName: String? = nil) -> RequestBuilder<TestMultiPartResponseResponseModel> {
        let path = "/TestMultiPart"
        let URLString = SwaggerClientAPI.basePath + path
        let formParams: [String:Any?] = [
                "Name": name,
                "LastName": lastName
        ]

        let nonNullParameters = APIHelper.rejectNil(formParams)
        let parameters = APIHelper.convertBoolToString(nonNullParameters)
        let url = URLComponents(string: URLString)


        let requestBuilder: RequestBuilder<TestMultiPartResponseResponseModel>.Type = SwaggerClientAPI.requestBuilderFactory.getBuilder()

        return requestBuilder.init(method: "POST", URLString: (url?.string ?? URLString), parameters: parameters, isBody: false)
    }
}
